## LOC Set NMEA Types request LOC Set NMEA Types request |

## Functions

QmiMessageLocSetNmeaTypesInput * | qmi_message_loc_set_nmea_types_input_new ()
QmiMessageLocSetNmeaTypesInput * | qmi_message_loc_set_nmea_types_input_ref ()
void | qmi_message_loc_set_nmea_types_input_unref ()
gboolean | qmi_message_loc_set_nmea_types_input_get_nmea_types ()
gboolean | qmi_message_loc_set_nmea_types_input_set_nmea_types ()
QmiMessageLocSetNmeaTypesOutput * | qmi_message_loc_set_nmea_types_output_ref ()
void | qmi_message_loc_set_nmea_types_output_unref ()
gboolean | qmi_message_loc_set_nmea_types_output_get_result ()
void | qmi_client_loc_set_nmea_types ()
QmiMessageLocSetNmeaTypesOutput * | qmi_client_loc_set_nmea_types_finish ()

## Types and Values

| QmiMessageLocSetNmeaTypesInput
| QmiMessageLocSetNmeaTypesOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocSetNmeaTypesInput
        ╰── QmiMessageLocSetNmeaTypesOutput

## Description

## Functions

### qmi_message_loc_set_nmea_types_input_new ()

    QmiMessageLocSetNmeaTypesInput *
    qmi_message_loc_set_nmea_types_input_new
                                   (void);

Allocates a new QmiMessageLocSetNmeaTypesInput.

#### Returns

the newly created QmiMessageLocSetNmeaTypesInput. The returned value should be freed with `qmi_message_loc_set_nmea_types_input_unref()`.

Since: 1.26

### qmi_message_loc_set_nmea_types_input_ref ()

    QmiMessageLocSetNmeaTypesInput *
    qmi_message_loc_set_nmea_types_input_ref
                                   (QmiMessageLocSetNmeaTypesInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocSetNmeaTypesInput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_loc_set_nmea_types_input_unref ()

    void
    qmi_message_loc_set_nmea_types_input_unref
                                   (QmiMessageLocSetNmeaTypesInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocSetNmeaTypesInput. |

Since: 1.26

### qmi_message_loc_set_nmea_types_input_get_nmea_types ()

    gboolean
    qmi_message_loc_set_nmea_types_input_get_nmea_types
                                   (QmiMessageLocSetNmeaTypesInput *self,
                                    QmiLocNmeaType *value_nmea_types,
                                    GError **error);

Get the 'NMEA Types' field from `self` .

#### Parameters

self | a QmiMessageLocSetNmeaTypesInput. |
value_nmea_types | a placeholder for the output QmiLocNmeaType, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_loc_set_nmea_types_input_set_nmea_types ()

    gboolean
    qmi_message_loc_set_nmea_types_input_set_nmea_types
                                   (QmiMessageLocSetNmeaTypesInput *self,
                                    QmiLocNmeaType value_nmea_types,
                                    GError **error);

Set the 'NMEA Types' field in the message.

#### Parameters

self | a QmiMessageLocSetNmeaTypesInput. |
value_nmea_types | a QmiLocNmeaType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_loc_set_nmea_types_output_ref ()

    QmiMessageLocSetNmeaTypesOutput *
    qmi_message_loc_set_nmea_types_output_ref
                                   (QmiMessageLocSetNmeaTypesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocSetNmeaTypesOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_loc_set_nmea_types_output_unref ()

    void
    qmi_message_loc_set_nmea_types_output_unref
                                   (QmiMessageLocSetNmeaTypesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocSetNmeaTypesOutput. |

Since: 1.26

### qmi_message_loc_set_nmea_types_output_get_result ()

    gboolean
    qmi_message_loc_set_nmea_types_output_get_result
                                   (QmiMessageLocSetNmeaTypesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocSetNmeaTypesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_client_loc_set_nmea_types ()

    void
    qmi_client_loc_set_nmea_types (QmiClientLoc *self,
                                   QmiMessageLocSetNmeaTypesInput *input,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a Set NMEA Types request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_set_nmea_types_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocSetNmeaTypesInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_loc_set_nmea_types_finish ()

    QmiMessageLocSetNmeaTypesOutput *
    qmi_client_loc_set_nmea_types_finish (QmiClientLoc *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_loc_set_nmea_types()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_set_nmea_types()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocSetNmeaTypesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_set_nmea_types_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageLocSetNmeaTypesInput

    typedef struct _QmiMessageLocSetNmeaTypesInput QmiMessageLocSetNmeaTypesInput;

The QmiMessageLocSetNmeaTypesInput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiMessageLocSetNmeaTypesOutput

    typedef struct _QmiMessageLocSetNmeaTypesOutput QmiMessageLocSetNmeaTypesOutput;

The QmiMessageLocSetNmeaTypesOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26